## org.apache.xml.utils
Class ThreadControllerWrapper

    java.lang.Object
      org.apache.xml.utils.ThreadControllerWrapper

    public class ThreadControllerWrapper

extends java.lang.Object

A utility class that wraps the ThreadController, which is used by IncrementalSAXSource for the incremental building of DTM.

Nested Class Summary
`static class` `ThreadControllerWrapper.ThreadController` Thread controller utility class for incremental SAX source.

Constructor Summary
`ThreadControllerWrapper()`

Method Summary
`static java.lang.Thread` `runThread(java.lang.Runnable runnable, int priority)`
`static void` `waitThread(java.lang.Thread worker, java.lang.Runnable task)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadControllerWrapper

    public ThreadControllerWrapper()

Method Detail

### runThread

    public static java.lang.Thread runThread(java.lang.Runnable runnable,
                                             int priority)

### waitThread

    public static void waitThread(java.lang.Thread worker,
                                  java.lang.Runnable task)
                           throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Copyright © 2005 Apache XML Project. All Rights Reserved.